--called at the start of a game, makes the objects in question
function initHost()
	if (terrain.coordx <= 47 or terrain.coordx >= 53) and (terrain.coordy <= 47 or terrain.coordy >= 53) then

		terrain.vars.init("mineNum", 6)
		for i = 1, (terrain.vars.get("mineNum")) do
		
			--standardize placement of the mines
			spacing = terrain.wid
			ax = terrain.x + spacing * math.mod(i, 2)
			if i == 2 then ax = ax - (spacing/2) end
			if i == 3 then ax = ax + (spacing/2) end
			ay = terrain.y + spacing * (1+math.floor(i / 2))
			
			--create the mine
			stage.createShip("Mine", "null", ax, ay, 5)
		end
	end
		
	terrain.callWithin = 0--skip calling the within function
	terrain.callUpdate = 0--skip calling the update function
	
	return 0
end

--called (by the host) every loop
function updateHost()
	return 0
end

--called (by the host) when a ship is inside this terrain tile
function shipWithin()
	return 0
end

--sets the editor/minimap display icon and color
function setIcon()
	icon.frame = 20	--from map_icons.png, which frame to use.
	icon.color = 4	--brown
	return 0
end